#
# spec file for package gnokii (Version 0.6.0)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  glib glib-devel gtk gtk-devel mysql-devel mysql-shared postgresql postgresql-devel update-desktop-files x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils expat fontconfig fontconfig-devel gcc gdbm gettext glib glib-devel gnome-filesystem gtk gtk-devel libtool mysql-devel mysql-shared perl postgresql postgresql-devel rpm update-desktop-files

Name:         gnokii
Version:      0.6.0
Release:      44.1
PreReq:       permissions
Autoreqprov:  on
Group:        Hardware/Mobile
License:      GPL
Summary:      Nokia Connectivity Program
URL:          http://www.gnokii.org/
Icon:         gnokii.xpm
Source:       %{name}-%{version}.tar.bz2
Source1:      xgnokii.desktop
Source2:      gnokii.xpm
Patch0:       %{name}-%{version}-uninitialized.diff
Patch1:       %{name}-%{version}-po.diff
Patch2:       %{name}-%{version}-exit.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
gnokii is a package of programs to communicate with your Nokia cellular
phone under Linux. Please read the READMEs under
/usr/share/doc/packages/gnokii to know which models are supported.



Authors:
--------
    Hugh Blemings <hugh@linuxcare.com>
    Pavel Jank ml. <Pavel.Janik@linux.cz>
    Jn Derfik <ja@mail.upjs.sk>

%package -n xgnokii
Summary:      Nokia Connectivity Program
Group:        Hardware/Mobile
Provides:     gnokii:/usr/share/xgnokii
Requires:     gnokii

%description -n xgnokii
xgnokii is a X11 frontend for gnokii. You have to install gnokii, too.



Authors:
--------
    Hugh Blemings <hugh@linuxcare.com>
    Pavel Jank ml. <Pavel.Janik@linux.cz>
    Jn Derfik <ja@mail.upjs.sk>

%package -n gnokii-smsd
Summary:      Nokia Connectivity Program
Group:        Hardware/Mobile
Provides:     gnokii:/usr/share/smsd
Requires:     gnokii

%description -n gnokii-smsd
gnokii is a package of programs to communicate with your Nokia cellular
phone under Linux. Please read the READMEs under
/usr/share/doc/packages/gnokii to know which models are supported.



Authors:
--------
    Hugh Blemings <hugh@linuxcare.com>
    Pavel Jank ml. <Pavel.Janik@linux.cz>
    Jn Derfik <ja@mail.upjs.sk>

%prep
%setup -q
%patch0
%patch1
#%patch2

%build
%{suse_update_config}
libtoolize --copy --force
aclocal
autoheader
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -fPIC -Wall -Wno-unused" \
	./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--datadir=%{_datadir} \
	--enable-nls \
	--with-x
make
make -C smsd/ all
make -C smsd/ libpq.la libmysql.la libfile.la

%install
rm -rf $RPM_BUILD_ROOT
install -m755 -d $RPM_BUILD_ROOT%{_sysconfdir}
install -m755 -d $RPM_BUILD_ROOT%{_mandir}/man{1,8}
install -m755 -d $RPM_BUILD_ROOT/usr/X11R6/man/man1
make DESTDIR=$RPM_BUILD_ROOT install 
make DESTDIR=$RPM_BUILD_ROOT -C smsd/ install 
sed "s:/usr/local/sbin:%{_sbindir}:g" Docs/sample/gnokiirc > $RPM_BUILD_ROOT%{_sysconfdir}/gnokiirc
# man-pages
cp Docs/man/*.1  $RPM_BUILD_ROOT%{_mandir}/man1/
cp Docs/man/*.8  $RPM_BUILD_ROOT%{_mandir}/man8/
cp Docs/man/*.1x $RPM_BUILD_ROOT/usr/X11R6/man/man1/
%{find_lang} %{name}
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
install -m 0644 %SOURCE2 \
        $RPM_BUILD_ROOT/usr/share/pixmaps/
%suse_update_desktop_file -i xgnokii System Telephony

%post
%{run_ldconfig}
%{run_permissions}

%verifyscript
%verify_permissions -e %{_bindir}/gnokii -e %{_sbindir}/gnokiid -e %{_sbindir}/mgnokiidev

%postun
%{run_ldconfig}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/gnokiirc
%doc COPYING COPYRIGHT ChangeLog MAINTAINERS TODO
%doc Docs/Bugs Docs/CREDITS Docs/CodingStyle Docs/DataCalls-QuickStart Docs/FAQ
%doc Docs/README* Docs/gettext-howto Docs/gnokii-* Docs/logos.txt Docs/ringtones.txt
%doc Docs/protocol Docs/sample
%doc %{_mandir}/man1/gnokii.1.gz
%doc %{_mandir}/man1/ppm2nokia.1.gz
%doc %{_mandir}/man1/todologo.1.gz
%doc %{_mandir}/man8/gnokiid.8.gz
%doc %{_mandir}/man8/mgnokiidev.8.gz
%verify(not mode) %attr(0755, root, uucp) %{_bindir}/gnokii
%{_bindir}/todologo
%{_bindir}/ppm2nokia
%{_libdir}/libgnokii*
%{_libdir}/pkgconfig/gnokii.pc
%{_includedir}/gnokii.h
%{_includedir}/gnokii
%verify(not mode) %attr(0755, root, uucp) %{_sbindir}/gnokiid
%verify(not mode) %attr(0755, root, uucp) %{_sbindir}/mgnokiidev

%files -n xgnokii
%defattr(-,root,root)
%doc /usr/X11R6/man/man1/xgnokii.1x.gz
/usr/share/applications/*
/usr/share/pixmaps/*
%{_bindir}/xgnokii
%{_datadir}/xgnokii

%files -n gnokii-smsd
%defattr(-,root,root)
%doc %{_mandir}/man1/sendsms.1.gz
%doc %{_mandir}/man8/smsd.8.gz
%{_bindir}/sendsms
%{_sbindir}/smsd
%{_libdir}/smsd

%changelog -n gnokii
* Thu Apr 08 2004 - mjancar@suse.cz
- fix permissions verifying (#38641)
* Fri Feb 27 2004 - mjancar@suse.cz
- update to 0.6.0
* Tue Feb 17 2004 - adrian@suse.de
- fix Categories
* Thu Oct 30 2003 - mjancar@suse.cz
- fix permissions
- no root for build
* Thu Oct 16 2003 - mjancar@suse.cz
- fix segfault on exit (#32233)
* Fri Oct 10 2003 - mjancar@suse.cz
- update to 0.5.5
* Fri Aug 15 2003 - adrian@suse.de
- install icon and desktop file
* Fri Jun 20 2003 - mjancar@suse.cz
- fix locales instalation
- use %%{run_ldconfig}
* Tue Jun 17 2003 - mjancar@suse.cz
- update to 0.5.2
- kill obsolete patches
* Wed May 28 2003 - ro@suse.de
- added smssend and ppm2nokia to filelists
* Mon Feb 17 2003 - vbobek@suse.cz
- updated to version 0.5.0pre6
  * source cleanup
  * API improved
  * new features
  * more mobiles working with the driver
  * doc updated
  * bug fixes
  * added subpackage smsd
- added patch for compiling with -fPIC
* Tue Jul 30 2002 - uli@suse.de
- build with -fPIC (fixes x86-64)
* Tue Jul 23 2002 - stark@suse.de
- update to 0.4.2
- fixed type in Makefile
* Mon Jul 15 2002 - stark@suse.de
- update to 0.4.1
- use %%{_libdir} for shared lib
* Fri Jul 12 2002 - stark@suse.de
- update to 0.4.0
* Thu Jul 11 2002 - meissner@suse.de
- auto* rerun.
* Mon Apr 29 2002 - stark@suse.de
- update to 0.3.5
  * This version corrects the datacall problem introduced in 0.3.4.
  This version is only released because there is no stable
  version from the next gnokii series (0.4).
* Tue Mar 19 2002 - stark@suse.de
- security update to 0.3.4 (#14960)
- removed suid-bit from mgnokiidev (-> permissions.easy)
* Mon Oct 01 2001 - stark@suse.de
- use BuildRoot
- update to 0.3.3
- gnokii group is no longer needed -> uucp
- splitted package into gnokii and xgnokii
* Mon Sep 24 2001 - stark@suse.de
- cleanup spec-file a bit
* Sun Sep 23 2001 - stark@suse.de
- removed init-script (gnokiid has to be started for every
  connection)
- removed rc.config variables
* Sun Sep 23 2001 - stark@suse.de
- moved rc-link to /etc/init.d
* Thu Jan 25 2001 - tw@suse.de
- added an init-script to start gnokiid
- install the configuration file.
